Subject: RE: Creating Static Libraries
From: Suhanthan Vanniyasingam <[email-masked]>
To: "'Larry Hall (RFK Partners, Inc)'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 3 Apr 2002 09:46:37 +0600

Hi Larry,

Thankyou for your reply.

I'm asking can we create static libraries(LIBs) rethar than dynamic
libraries(DLLs). I think the import library cannot be used alone as a static
library. Is it?

Thank You,

Regards,
Suhanthan, V.

Suhanthan Vanniyasingam
www.eRunway.com

-----Original Message-----
From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 9:54 PM
To: Suhanthan Vanniyasingam; [email-masked]'
Subject: Re: Creating Static Libraries

At 02:47 AM 4/2/2002, Suhanthan Vanniyasingam wrote:
>  
>Hi,
>
>I'm new to cygwin. I have found that we can create DLLs using 
>Cygwin. So What abouts *.lib s? 
>
>Is there any relationship between *.a created with cygwin and *.lib? 

Yes.  If the *.a is an import library (stubs referencing a DLL) rather than
a static library, the format is the same as the *.lib.

>Is it possible to use these *.a libraries with VC++?

Generally, so long as you don't use dynamic memory (or if you do, you need
to
be very careful about freeing it in the same library as it's allocated - 
better to just stay away from it).

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/